Search Unity

  1. Unity 2018.3 is now released.
    Dismiss Notice
  2. The Unity Pro & Visual Studio Professional Bundle gives you the tools you need to develop faster & collaborate more efficiently. Learn more.
    Dismiss Notice
  3. We've updated our Terms of Service. Please read our blog post from Unity CTO and Co-Founder Joachim Ante here
    Dismiss Notice
  4. Want to provide direct feedback to the Unity team? Join the Unity Advisory Panel.
    Dismiss Notice
  5. Improve your Unity skills with a certified instructor in a private, interactive classroom. Watch the overview now.
    Dismiss Notice

Official Upgrading to 2018.3 with Unity Ads SDK

Discussion in 'Unity Ads' started by ap-unity, Dec 20, 2018.

Thread Status:
Not open for further replies.
  1. ap-unity

    ap-unity

    Unity Technologies

    Joined:
    Aug 3, 2016
    Posts:
    1,069
    Just wanted to let everyone know we are aware of an issue when upgrading to 2018.3.

    If you have the Unity Ads SDK from the Asset Store, when you upgrade to 2018.3, the Ads SDK from the Package Manager will still be included, which gives you the following error:

    PrecompiledAssemblyException: Multiple precompiled assemblies with the same name UnityEngine.Advertisements.Editor.dll included for the current platform. Only one assembly with the same name is allowed per platform.

    The solution is to remove the Ads package from Package Manager, but unfortunately, the compiler error will prevent the Package Manager UI from rendering correctly. The workaround is to remove the package manually from the /Packages/manifest.json file.

    I apologize for any inconvenience this has caused.
     
Thread Status:
Not open for further replies.